Bug 250411 - all kde applications cannot display chinese font in en_US.UTF-8 locale
all kde applications cannot display chinese font in en_US.UTF-8 locale
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
7
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-01 09:47 EDT by han pingtian
Modified: 2008-06-16 22:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:03:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description han pingtian 2007-08-01 09:47:36 EDT
+++ This bug was initially created as a clone of Bug #188545 +++

Description of problem:
After update to FC5, I find that kosole can't display some chinese font such as
"钉" in en_US.UTF-8 locale for me anymore. But all this is OK in FC4. It seems
that another kde application such as knotes has this problem also. But all gnome  
applications have no this problem.

Version-Release number of selected component (if applicable):
3.5.1-5
How reproducible:
Install/update to FC5, set locale as en_.

Steps to Reproduce:
1.install/update to FC5
2.set locale as en_US.UTF-8
3.open konsole, use scim's "pinyin" method to input "ding"+the number of "钉“.
  
Actual results:
The "钉" be displaied as a dot.

Expected results:
It is displaied nom

Additional info:

-- Additional comment from hestyp@gmail.com on 2006-05-07 14:57 EST --
Just to add a "me too". It's not just konsole, but the whole KDE. Amarok, for
example cannot display the same characters as well. Any gnome app can display
the fonts fine, including gnome-terminal. E.g. Konsole display "..17" while
gnome-terminal displays "爱杀17"

-- Additional comment from petr.hroudny@gmail.com on 2007-08-01 05:27 EST --
This is still problem in Fedora7 and KDE 3.5.7

Even on the first page opened by Konqueror (/usr/share/doc/HTML/index.html)
the Chinese text "简体中文" is broken - the first character is missing.
Seems that chinese characters are taken from Japanese fonts, which obviously fail.

In Firefox it displays OK.

Same problem for all KDE applications.

A funny thing happens with Konsole - if I do a "cat utf8-demo.txt"
then the chinese characters start to work correctly. This file is available
at http://www.cl.cam.ac.uk/~mgk25/ucs/examples/UTF-8-demo.txt
Comment 1 Petr Hroudny 2007-08-01 15:52:43 EDT
Just found this:

https://bugs.launchpad.net/ubuntu/+source/qt-x11-free/+bug/94282

It's a Qt bug.
Comment 2 Bug Zapper 2008-05-14 09:48:43 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 22:03:26 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.